CertGuard - Test #4122

Test CRUD ContentGuard
11/05/2018 07:55 PM - kersom

Status: CLOSED - COMPLETE
Priority: Normal

Assignee:

Category:

Sprint/Milestone: 1.0.0 Release
Platform Release: Sprint:

Tags: Quarter:

Description
Add basic CRUD test for ContentGuard.

Related issues:
Related to Pulp - Story #3969: As a user, | can CRUD a ContentGuard CLOSED - CURRENTRELEASE
Related to CertGuard - Task #4596: Add the pulp-certguard tests to run with p... CLOSED - CURRENTRELEASE

Associated revisions

Revision 561f0525 - 03/19/2019 10:57 PM - Bruno Rocha

Add certguard API testcase + certificates

® Add testcase for certguard api (assert protected distribution)
* Add a some dummy generated self-signed certificates for testing purposes

Related PRs:

https://github.com/PulpQE/pulp-smash/pull/1185https://github.com/PulpQE/pulp-smash/pull/1186https://github.com/PulpQE/pulp-smash/pull/1187

Related issues:

https://pulp.plan.io/issues/4122https://pulp.plan.io/issues/3969https://pulp.plan.io/issues/3970

closes #4122

Required PR: https:/github.com/PulpQE/pulp-smash/pull/1184

History

#1 - 11/05/2018 07:55 PM - kersom
- Related to Story #3969: As a user, | can CRUD a ContentGuard added

#2 -03/18/2019 05:41 PM - rochacbruno

- Assignee set to rochacbruno

#3 - 03/18/2019 05:41 PM - rochacbruno
- Status changed from NEW to ASSIGNED

#4 - 03/28/2019 06:35 PM - rochacbruno
- Related to Task #4596: Add the pulp-certguard tests to run with pulpcore added

#5 - 03/29/2019 09:22 PM - Anonymous
- Status changed from ASSIGNED to MODIFIED

Applied in changeset certguard:561f05254 13aa0547264be48c42a7e31bd1241b0.

#6 - 04/05/2019 12:29 PM - rochacbruno
- Status changed from MODIFIED to NEW
#7 - 04/05/2019 12:30 PM - rochacbruno
- Status changed from NEW to ASSIGNED

#8 - 04/26/2019 10:33 PM - bmbouter
- Tags deleted (Pulp 3)

#9 - 05/02/2019 05:38 PM - rochacbruno
- Status changed from ASSIGNED to NEW

#10 - 05/02/2019 05:39 PM - rochacbruno

- Assignee deleted (rochacbruno)

#11 - 05/03/2019 01:14 PM - rochacbruno
- Project changed from Pulp to CertGuard

#12 - 03/06/2020 06:02 PM - bmbouter
- Status changed from NEW to MODIFIED

We have existing tests for this:
https://github.com/pulp/pulp-certguard/blob/983da404ac43c803b31de1f2330e6df9a9163f57/pulp_certguard/tests/functional/api/test_certguard.py#L35

#13 - 07/21/2020 10:11 PM - bmbouter
- Sprint/Milestone set to 1.0.0 Release

#14 - 07/21/2020 10:17 PM - bmbouter
- Status changed from MODIFIED to CLOSED - COMPLETE

06/25/2021 22


https://github.com/pulp/pulp-certguard/blob/983da404ac43c803b31de1f2330e6df9a9163f57/pulp_certguard/tests/functional/api/test_certguard.py#L35
http://www.tcpdf.org

